Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005259opensim[GRID] Hypergridpublic2010-12-08 03:392015-08-17 12:01
Reporteraiaustin 
Assigned Toaiaustin 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005259: HG1.5 i7 Config Changes Testing Feedback
DescriptionUsing 0.7.1 dev master r/14611 for tests of HG changes and new configuration files...

Teleport test from Openvue Grid (Openvue region) to OSGrid (Vue-3200 region):

Viewer popup says "Could not teleport. Internal error". OpenSim.exe console reports following (http://grid.ansky.ca:8002 [^] was last HG jump attempted on separate login for this avatar):

10:04:57 - [NULL REGION DATA]: comparing vue-3200 to openvue
10:04:57 - [NULL REGION DATA]: comparing vue-3200 to vue-5000
10:04:57 - [NULL REGION DATA]: comparing vue-3200 to vue-9000
10:04:57 - [NULL REGION DATA]: comparing vue-3200 to sandbox
10:04:57 - [NULL REGION DATA]: comparing vue-3200 to http://grid.ansky.ca:8002 [^]
10:04:57 - [HG ENTITY TRANSFER MODULE]: region 2b19b711-39e5-462f-bfd2-a68ab05cebe5 flags: 524
10:04:57 - [HG ENTITY TRANSFER MODULE]: Destination region 2b19b711-39e5-462f-bfd2-a68ab05cebe5 is hyperlink
10:04:57 - [GATEKEEPER SERVICE CONNECTOR]: contacting /
10:04:57 - [GATEKEEPER SERVICE CONNECTOR]: Exception Invalid URI: The format of the URI could not be determined.
10:04:57 - [ENTITY TRANSFER MODULE]: Exception on teleport: Object reference not set to an instance of an object.

If I try a teleport via a chatted link as follows
     secondlife://hg.osgrid.org:80:Vue-3200/ [^]
this gives popup message:

Could not teleport. Destination refused: Unable to verify identity

Robust.exe console says:

10:12:38 - [GRID SERVICE]: GetRegionsByName hg.osgrid.org:80:Vue-3200
10:12:38 - [GRID SERVICE]: Found 0 regions
10:12:41 - [HOME AGENT HANDLER]: Unauthorized machine 129.215.219.138 tried to set client ip to 129.215.4.52
10:12:41 - [AGENTCIRCUITDATA]: agentid=e24a9015-f5ca-452b-8c95-d32e34cb9d64, child=True, startpos=<128, 128, 0>
10:12:41 - [AGENTCIRCUITDATA]: unpacked appearance
10:12:41 - [USER AGENT SERVICE]: Request to login user Ai Austin (@stored IP) to grid http://hg.osgrid.org:80/ [^]
10:12:41 - [USER AGENT SERVICE]: m_grid - http://virtual.aiai.ed.ac.uk:8002, [^] gn- http://hg.osgrid.org:80/ [^]
10:12:41 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://hg.osgrid.org:80/foreignagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^]

region Vue-3200, x=819200 y=819200
10:12:41 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to verify identity","your_ip":"127.0.0.1"}
10:12:41 - [USER AGENT SERVICE]: Unable to login user Ai Austin to grid http://hg.osgrid.org:80/, [^] reason: Unable to verify identity

129.215.219.138 is corectly the server on which the Robust.exe services run (virtual.aiai.ed.ac.uk). Not sure why is is refering to 127.0.0.1 in one place. I have tested on 2 separate IP addresses for the viewer clien (SL 1.23.5), one within Edinburgh University (129.215.4.52) and another on a home network. The Vue-3200 OpenSim.exe console does not report any activity, so the OSGrid ROBUST services are rejecting the HG teleport request.
Additional InformationOpenvue Grid Hyperlinks set up in ROBUST are as follows:

R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
Condensation Land 031c20ad-4ab5-44c0-8c6a-f15e598727c0
1280768,1279488 (5003,4998) http://condensationland.com:9000 [^]

Vue-6400 2aa49e09-f1b1-4f20-8ae3-55e0399a674c
1280512,1280000 (5002,5000) http://hg.osgrid.org:80 [^]

Vue-3200 2b19b711-39e5-462f-bfd2-a68ab05cebe5
256512,256000 (1002,1000) http://hg.osgrid.org:80 [^]

Gateway 3000 3084e490-2221-11dd-ad8b-0809200c9a66
256512,255744 (1002,999) http://ucigrid00.nacs.uci.edu:8002 [^]

Gateway 7000 3084e490-2222-11dd-ad8b-0801700c9a66
1280512,1279744 (5002,4999) http://ucigrid00.nacs.uci.edu:8002 [^]

Wright Plaza 45d2b44d-922c-4cc6-94b5-6d176e392dc2
2304512,2304000 (9002,9000) http://hg.osgrid.org:80 [^]

MarsSim 1 55c1f7ba-5947-4bed-9d96-5301ffc17939
1280768,1280000 (5003,5000) http://mars-simulator.hobby-site.org:9000 [^]

Grid4Us Entrance 6e2875ac-9999-4321-1867-34b15ac9f916
1280512,1279488 (5002,4998) http://grid4us.net:8002 [^]

GermanGrid Gate 74ae01fc-e9c0-4580-8b4b-fe4c0726659b
1280768,1279744 (5003,4999) http://login.germangrid.de:8002 [^]

TagsNo tags attached.
Git Revision or version number0.7.1 dev master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
ViewerSL 1.23.5
Attached Filesjpg file icon hg-item-transfer-test-andsky-tshirt-creator-profile.jpg [^] (244,711 bytes) 2010-12-12 02:01


patch file icon 0001-fixes-a-problem-with-ending-slashes-in-GatekeeperSer.patch [^] (1,486 bytes) 2010-12-29 04:43 [Show Content]

- Relationships

-  Notes
(0017457)
aiaustin (developer)
2010-12-08 08:47
edited on: 2010-12-15 10:28

When looking at the Map in SL Viewer 1.23.5 for example, when some link-regions are scrolled, they show with the usual hypergrid swirly colour circle image, but the OpenSim.exe console reports several insrances of:

16:41:34 - [WORLD MAP]: Starting new remote request thread manually. This means that AvatarEnteringParcel never fired! This needs to be fixed! Don't Mantis this, as the developers can see it in this message
16:41:34 - [WORLD MAP]: Map item request thread terminated abnormally with exception System.UriFormatException: Invalid URI: The format of the URI could not be determined.

(0017458)
aiaustin (developer)
2010-12-08 09:15
edited on: 2010-12-08 09:17

Test of using new format for link-region causes unexpected results in "show hyperlinks" in Robust.exe console.

Previous setup with r/14271 was

Wright Plaza 45d2b44d-922c-4cc6-94b5-6d176e392dc2
2304512,2304000 (9002,9000) http://hg.osgrid.org:80 [^]

Then tried unlinking that and setting it again with new syntax... which appeared successful... BUT.... show hyperlinks shows somethig with wrong setup. Name of region used is griduri not rermoteregion name, and login URI is http://0.0.0.0:0 [^]

R.O.B.U.S.T.# unlink-region "Wright Plaza"
17:04:36 - [HYPERGRID LINKER]: Request to unlink Wright Plaza
Successfully unlinked Wright Plaza
R.O.B.U.S.T.# link-region 9002 9000 http://hg.osgrid.org:80 [^] "Wright Plaza"
17:04:50 - [HYPERGRID LINKER]: Link to :0:Wright Plaza, in 2304512-2304000
17:04:50 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://hg.osgrid.org:80/ [^]
17:04:51 - [HYPERGRID LINKER]: naming linked region http://hg.osgrid.org:80 [^]
17:04:51 - [HYPERGRID LINKER]: Successfully linked to region_uuid 45d2b44d-922c-4cc6-94b5-6d176e392dc2
17:04:51 - [GRID SERVICE]: Hyperlinks returned 9 regions
17:04:51 - [HYPERGRID LINKER]: link region succeeded
R.O.B.U.S.T.# show hyperlinks

Region Name Region UUID
Location URI
-------------------------------------------------------------------------------

http://hg.osgrid.org:80 [^] 45d2b44d-922c-4cc6-94b5-6d176e392dc2
2304512,2304000 (9002,9000) http://0.0.0.0:0 [^]

...

(0017460)
aiaustin (developer)
2010-12-08 09:58
edited on: 2010-12-08 10:01

Testing incoming HG teleport request using avatar on OSGrid teleporting to a within 4096 range region on Openvue Gridf with new HG config setup. Region OpenSim.exe on which the avatar is basedf reports the following while attempting to transfer the avatar to the Openvue grid.. again it seems the problem is that for teh avatar the systems is "Unable to verify identity". Any clues as to what might be causing this?

17:55:08 - [GRID SERVICE]: GetRegionsByName virtual.aiai.ed.ac.uk:8002:Openvue
17:55:08 - [NULL REGION DATA]: comparing virtual.aiai.ed.ac.uk:8002:openvue to vue-3200
17:55:08 - [NULL REGION DATA]: comparing virtual.aiai.ed.ac.uk:8002:openvue to vue-6400
17:55:08 - [HYPERGRID LINKER]: Link to virtual.aiai.ed.ac.uk:8002:Openvue, in 392960-0
17:55:08 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://129.215.219.138:8002/ [^]
17:55:08 - [HYPERGRID LINKER]: Successfully linked to region_uuid 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
17:55:08 - [GRID SERVICE]: Hyperlinks returned 1 regions
17:55:08 - [HYPERGRID LINKER]: link region succeeded
17:55:09 - [LAND]: got parcelID 00000000-0000-0000-0000-000000000000
17:55:11 - [HG ENTITY TRANSFER MODULE]: region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b flags: 524
17:55:11 - [HG ENTITY TRANSFER MODULE]: Destination region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b is hyperlink
17:55:11 - [GATEKEEPER SERVICE CONNECTOR]: contacting http://129.215.219.138:8002/ [^]
17:55:11 - [ENTITY TRANSFER MODULE]: Final destination is x=1000 y=1000 uuid=9c8b6f8f-8178-4a69-92dc-9feba4646e6b
17:55:11 - [ENTITY TRANSFER MODULE]: Request Teleport to virtual.aiai.ed.ac.uk:8002:Openvue/<128, 128, 0>
17:55:11 - [USER AGENT CONNECTOR]: new connector to http://hg.osgrid.org:80 [^] (http://69.162.125.163:80 [^])
Region (root) # >>> LoginAgentToGrid <<< http://69.162.125.163:80/homeagent/e858df02-a860-4b92-937a-2b87e4ebcd6d/ [^]
17:55:11 - [USER AGENT CONNECTOR]: Posted CreateAgent request to remote sim http://69.162.125.163:80/homeagent/e858df02-a860-4b92-937a-2b87e4ebcd6d/, [^] region Openvue, x=256000 y=256000
17:55:12 - [USER AGENT CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to verify identity"}

(0017464)
aiaustin (developer)
2010-12-09 07:00

Note the debug console logs for HG teleport requests show a combination of URLs for source and destination grids, some use / on end e.g. for OSGrid, some not, e.g. for Openvue grid, and some use IP numbers underlying the DNS name used consistently in the configs of both OSGrid and Openvue grid (no IP numbers are used except for the Freeswitch server on Openvue).

I also notice one use of 127.0.0.1 which seems wrong, but its unclear where that is coming from.
(0017466)
Diva (administrator)
2010-12-09 07:27

Ai,

please don't test with OSGrid. OSGrid seems to have some configuration issues, and it's not on the latest.
(0017467)
Diva (administrator)
2010-12-09 08:12

Having said that, let me try to find out what's wrong with osgrid...
(0017468)
Diva (administrator)
2010-12-09 09:16

OK, there's definitely something wrong with osgrid configurations. I have a sim at UCI that can be used for testing:

http://ucigrid03.nacs.uci.edu:9000 [^]

If you have any trouble linking to the default region, the name is "UCI Grid 03"
(0017471)
aiaustin (developer)
2010-12-09 09:51
edited on: 2010-12-09 09:52

Note the identical "unable to verify user" faults occured with teleport attempts to Ansky grid which we had working with HG1.5 i7 between openvue and Ansky even though OSGrid was broken for outwards (but not inward) HG teleports and has been since the latest required update.

What xloc, yloc is "ucigrid.nacs.uci.ed.:9000:UCI Grid 03" at Diva.. so I can teleport to it from a legitimate jump region on Openvue

(0017472)
Diva (administrator)
2010-12-09 09:52
edited on: 2010-12-09 09:54

UCI Grid 03 is in 9000,9000

UPDATE: Where are the logs for attempts to TP to Ansky grid?

(0017473)
aiaustin (developer)
2010-12-09 09:58
edited on: 2010-12-09 09:58

FAO

Name: ec2-204-236-242-209.compute-1.amazonaws.com
Address: 204.236.242.209

For whoever is testing Openvue HG jumps for HG1.5 i7 using the Amazonm ERC2 servers, please note this log on my Robust.exe console:

15:37:20 - [GATEKEEPER SERVICE]: Request to login foreign agent Sweet JaneX @ http://204.236.242.209:9300 [^] (e76cba87-bef9-4806-ac8d-18f7fde2c746) at destinationVue-5000
15:37:20 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002/ [^]
15:37:20 - [GATEKEEPER SERVICE]: Unable to verify identity of agent Sweet JaneX. Refusing service.
15:58:47 - [GATEKEEPER SERVICE]: Request to link to Openvue
15:58:48 - [GATEKEEPER SERVICE]: Request to link to Openvue
15:58:48 - [GATEKEEPER SERVICE]: Request to get hyperlink region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
15:58:49 - [AGENTCIRCUITDATA]: agentid=e76cba87-bef9-4806-ac8d-18f7fde2c746, child=True, startpos=<128, 128, 30>
15:58:49 - [AGENTCIRCUITDATA]: unpacked appearance
15:58:49 - [GATEKEEPER SERVICE]: Request to login foreign agent Sweet JaneX @ http://204.236.242.209:9300 [^] (e76cba87-bef9-4806-ac8d-18f7fde2c746) at destination Openvue
15:58:49 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002/ [^]
15:58:49 - [GATEKEEPER SERVICE]: Unable to verify identity of agent Sweet JaneX. Refusing service.

(0017474)
aiaustin (developer)
2010-12-09 10:03

link-region to http://ucigrid03.nacs.uci.edu:9000 [^] apparently works, but show hyperlinks shows same wrong local name and 0.0.0.0 URI info as seen previosuly (using r/14611 6-Dec-2010)

R.O.B.U.S.T.# link-region 8998 9000 http://ucigrid03.nacs.uci.edu:9000 [^]
17:58:11 - [HYPERGRID LINKER]: Link to :0:, in 2303488-2304000
17:58:11 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://ucigrid03.nacs.uci.edu:9000/ [^]
17:58:13 - [HYPERGRID LINKER]: naming linked region http://ucigrid03.nacs.uci.edu:9000/ [^]
17:58:13 - [HYPERGRID LINKER]: Successfully linked to region_uuid 5e3528e5-363b-4fc4-9135-c6184043f9a4
17:58:13 - [GRID SERVICE]: Hyperlinks returned 10 regions
17:58:13 - [HYPERGRID LINKER]: link region succeeded


R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------

http://ucigrid03.nacs.uci.edu:9000/ [^] 5e3528e5-363b-4fc4-9135-c6184043f9a4
2303488,2304000 (8998,9000) http://0.0.0.0:0 [^]
(0017475)
Diva (administrator)
2010-12-09 10:06

Ai, please make sure to use the very latest; I fixed that debug message a couple of hours ago.
(0017476)
aiaustin (developer)
2010-12-09 10:14
edited on: 2010-12-09 10:17

Will do... and will get Ansky test for you after that if its still problematic... BUT GOOD NEWS

If I chat secondlife://ucigrid03.nacs.uci.edu:9000/ [^] and then click on that I can HG jump successfully from Openvue region Vue-9000 even with r/14611

And jump back to a chattled link secondlife://virtual.aiai.ed.ac.uk:8002:Vue-9000/ [^] also works fine.

(0017477)
aiaustin (developer)
2010-12-09 10:21

Note sure if its related but am also seeing some ping and other ack issues since upgrade to r/14611. 82.41.239.115 is my (home) SL client IP number. Three types of things seen.. some repeated many times...

18:02:03 - [LLUDPSERVER]: Received a AgentFOV packet from an unrecognized source
: 82.41.239.115:59131 in Vue-5000

18:02:40 - [LLUDPSERVER]: Received a StartPingCheck packet from an unrecognized
source: 82.41.239.115:59131 in Vue-5000

18:15:36 - [LLUDPSERVER]: Received a PacketAck packet from an unrecognized sourc
e: 82.41.239.115:59131 in Vue-9000
(0017478)
Diva (administrator)
2010-12-09 10:23

Yeah, those StartPingCheck packets are very annoying. I think they were there before, but the message is new and exposes them.
(0017480)
aiaustin (developer)
2010-12-09 12:03

[LLUDPSERVER] messages in OpenSim.exe console... Got it... I see hundreds of the StartPingCheck in my console logs. It must be quite a drain on performamce. I assume it does not need a seprate Mantis entry? Many clients will have ping set off for security. All UoE machines usually disable those, and my router blocks incoming pings deliberately.
(0017481)
aiaustin (developer)
2010-12-09 12:31
edited on: 2010-12-09 12:40

Openvue test grid now upgraded to c5369ae... r/14624 9-Dec-2010

link-region still shows success, but show hyperlinks indicates an incorrect table entry.

R.O.B.U.S.T.# link-region 8998 9000 http://ucigrid03.nacs.uci.edu:9000/ [^]
20:35:35 - [HYPERGRID LINKER]: Link to http://ucigrid03.nacs.uci.edu:9000/:, [^] in
8998-9000
20:35:35 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://ucigrid03.nacs.uci. [^]
edu:9000/
20:35:35 - [HYPERGRID LINKER]: naming linked region http://ucigrid03.nacs.uci.ed [^]
u:9000/
20:35:35 - [HYPERGRID LINKER]: Successfully linked to region_uuid 5e3528e5-363b-
4fc4-9135-c6184043f9a4
20:35:35 - [GRID SERVICE]: Hyperlinks returned 10 regions
20:35:35 - [HYPERGRID LINKER]: link region succeeded

R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
http://ucigrid03.nacs.uci.edu:9000/ [^] 5e3528e5-363b-4fc4-9135-c6184043f9a4
2303488,2304000 (8998,9000) http://0.0.0.0:0 [^]


Region does not show on viewer (SL 1.23.5) client map at set location.

[LLUDPSERVER]: StartPingCheck messages appearing one from each region every few seconds and dominating the OpenSim.exe console.

(0017482)
aiaustin (developer)
2010-12-09 12:45

Attempt to teleport via secondlife://ucigrid03.nacs.uci.edu:9000/ [^] chatted link failed and the seemed to work on a second attempt? Will shortly check that in a fresh server and client startup... I note that it seems to be comparing my client IP (82.41.239.115 a machine at home) with the Gatekeeper/Robvust server IP (129.215.219.138 in Uinv of Edinburgh) though...

20:36:09 - [GRID SERVICE]: GetRegionsByName ucigrid03.nacs.uci.edu:9000
20:36:09 - [GRID SERVICE]: Found 0 regions
20:36:11 - [HOME AGENT HANDLER]: Unauthorized machine 129.215.219.138 tried to s
et client ip to 82.41.239.115
20:36:11 - [AGENTCIRCUITDATA]: agentid=e24a9015-f5ca-452b-8c95-d32e34cb9d64, chi
ld=True, startpos=<128, 128, 0>
20:36:11 - [AGENTCIRCUITDATA]: unpacked appearance
20:36:11 - [USER AGENT SERVICE]: Request to login user Ai Austin (@stored IP) to
 grid http://ucigrid03.nacs.uci.edu:9000/ [^]
20:36:11 - [USER AGENT SERVICE]: m_grid - http://virtual.aiai.ed.ac.uk:8002/, [^] gn
 - http://ucigrid03.nacs.uci.edu:9000/ [^]
20:36:12 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://ucigrid03.nacs.uci.edu:9000/foreignagent/e24a9015-f5ca-452b-8c95-d32e3 [^]
4cb9d64/, region UCI Grid 03, x=2048000 y=2048000
20:36:13 - [USER AGENT SERVICE]: Verifying agent token http://ucigrid03.nacs.uci [^]
.edu:9000/;fcfac468-331f-4962-8a23-edcbbbbe8299 against http://ucigrid03.nacs.uc [^]
i.edu:9000/;fcfac468-331f-4962-8a23-edcbbbbe8299
20:36:13 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"suc
cess":true,"your_ip":"129.215.219.138"}
20:36:13 - [USER AGENT SERVICE]: Gatekeeper sees me as 129.215.219.138
20:36:14 - [USER AGENT SERVICE]: Verifying Client session 2578d110-242b-4a41-b1b
a-975e101f4931 with reported IP 82.41.239.115.
20:36:14 - [USER AGENT SERVICE]: Comparing with login IP 82.41.239.115 and MyIP
129.215.219.138
20:36:23 - [PRESENCE SERVICE]: Session 2578d110-242b-4a41-b1ba-975e101f4931 logo
ut
(0017483)
aiaustin (developer)
2010-12-09 13:01

r/14624 attempt to teleport from Openvue Grid to Club Ansky (another previously working in r/14611 HG1.5 i7 grid used in our testing recently) - says "unable to verify identity" still.. log from OpenSim.exe of source region on openvue.exe console is here...

20:57:11 - [GRID SERVICE]: GetRegionsByName grid.ansky.ca:8002:Club AnSky
20:57:11 - [NULL REGION DATA]: comparing grid.ansky.ca:8002:club ansky to openvu
e
20:57:11 - [NULL REGION DATA]: comparing grid.ansky.ca:8002:club ansky to vue-50
00
20:57:11 - [NULL REGION DATA]: comparing grid.ansky.ca:8002:club ansky to vue-90
00
20:57:11 - [NULL REGION DATA]: comparing grid.ansky.ca:8002:club ansky to sandbo
x
20:57:11 - [NULL REGION DATA]: comparing grid.ansky.ca:8002:club ansky to http:/
/ucigrid03.nacs.uci.edu:9000/
20:57:11 - [HYPERGRID LINKER]: Link to grid.ansky.ca:8002:Club AnSky, in 9674-0
20:57:11 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://grid.ansky.ca:8002/ [^]

20:57:12 - [HYPERGRID LINKER]: naming linked region http://grid.ansky.ca:8002 [^]
20:57:12 - [HYPERGRID LINKER]: Successfully linked to region_uuid f0de39b1-0c8d-
4974-9e74-75bd9f189444
20:57:12 - [GRID SERVICE]: Hyperlinks returned 2 regions
20:57:12 - [HYPERGRID LINKER]: link region succeeded
20:57:13 - [WORLD MAP]: Starting new remote request thread manually. This means
 that AvatarEnteringParcel never fired! This needs to be fixed! Don't Mantis t
his, as the developers can see it in this message
20:57:13 - [WORLD MAP]: Map item request thread terminated abnormally with excep
tion System.UriFormatException: Invalid URI: The format of the URI could not be
determined.
20:57:16 - [HG ENTITY TRANSFER MODULE]: region f0de39b1-0c8d-4974-9e74-75bd9f189
444 flags: 524
20:57:16 - [HG ENTITY TRANSFER MODULE]: Destination region f0de39b1-0c8d-4974-9e
74-75bd9f189444 is hyperlink
20:57:16 - [GATEKEEPER SERVICE CONNECTOR]: contacting http://grid.ansky.ca:8002/ [^]

20:57:16 - [HG ENTITY TRANSFER MODULE]: GetFinalDestination serveruri -> http://
grid.ansky.ca:9200/
20:57:16 - [ENTITY TRANSFER MODULE]: Final destination is x=7100 y=7101 f0de39b1
-0c8d-4974-9e74-75bd9f189444@http://grid.ansky.ca:9200/ [^]
20:57:16 - [ENTITY TRANSFER MODULE]: Request Teleport to http://grid.ansky.ca:80 [^]
02/ (http://grid.ansky.ca:9200/ [^]) Club AnSky/<130, 126, 26>
20:57:16 - [HG ENTITY TRANSFER MODULE]: CreateAgent http://grid.ansky.ca:8002/ [^] h
ttp://grid.ansky.ca:9200/ [^]
20:57:16 - [USER AGENT CONNECTOR]: new connector to http://virtual.aiai.ed.ac.uk [^]
:8002 (http://129.215.219.138:8002 [^])
20:57:16 - [USER AGENT CONNECTOR]: Posted CreateAgent request to remote sim http
://129.215.219.138:8002/homeagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, region
Club AnSky, x=1817600 y=1817856
20:57:16 - [USER AGENT CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"U
nable to verify identity"}
(0017484)
aiaustin (developer)
2010-12-09 13:04
edited on: 2010-12-09 13:05

I note that

http://129.215.219.138:8002/homeagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64 [^]

call is for my Ai Austin avatar UUID... its using IP number rather than the always configured "virtual.aiai.ed.ac.uk:8002" domain name:port format.. and this is result if its opened in a normal browser.. so its getting to the Robust.exe service I assume.

This error (HTTP 405 Method Not Allowed) means that Internet Explorer was able to connect to the website, but the site has a programming error.

(0017485)
Bruce (reporter)
2010-12-09 13:57
edited on: 2010-12-09 14:06

Not sure if this helps as I have not gone past r14370 but it used to work like a charm:

17:46:04 - [GRID SERVICE]: GetRegionsByName virtual.aiai.ed.ac.uk:8002:Vue-5000
17:46:04 - [GRID SERVICE]: Found 0 regions
17:46:04 - [HYPERGRID LINKER]: Link to virtual.aiai.ed.ac.uk:8002:Vue-5000, in 2002432-0
17:46:04 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://129.215.219.138:8002/ [^]
17:46:05 - [HYPERGRID LINKER]: Region already exists in coordinates 9000 9003
17:46:05 - [HG ENTITY TRANSFER MODULE]: region bd09a791-eba5-11dc-95ff-0800200c9a66 flags: 524
17:46:05 - [HG ENTITY TRANSFER MODULE]: Destination region bd09a791-eba5-11dc-95ff-0800200c9a66 is
hyperlink
17:46:05 - [GATEKEEPER SERVICE CONNECTOR]: contacting http://129.215.219.138:8002/ [^]
17:46:05 - [ENTITY TRANSFER MODULE]: Final destination is x=5000 y=5000 uuid=bd09a791-eba5-11dc-95f
f-0800200c9a66
17:46:05 - [ENTITY TRANSFER MODULE]: Request Teleport to virtual.aiai.ed.ac.uk:8002:Vue-5000/<128,
128, 30>
17:46:05 - [USER AGENT CONNECTOR]: new connector to http://metaversesims.net:9000 [^] (http://208.109.1 [^]
68.104:9000)
Region (root) # >>> LoginAgentToGrid <<< http://208.109.168.104:9000/homeagent/e02590b7-a15a-482 [^]
7-bd49-84d5afe8f688/
17:46:06 - [USER AGENT CONNECTOR]: Posted CreateAgent request to remote sim http://208.109.168.104: [^]
9000/homeagent/e02590b7-a15a-4827-bd49-84d5afe8f688/, region Vue-5000, x=1280000 y=1280000
17:46:06 - [HOME AGENT HANDLER]: Unauthorized machine 208.109.168.104 tried to set client ip to 209
.59.113.75
17:46:06 - [AGENTCIRCUITDATA]: agentid=e02590b7-a15a-4827-bd49-84d5afe8f688, child=True, startpos=<
128, 128, 30>
17:46:06 - [AGENTCIRCUITDATA]: unpacked appearance
17:46:06 - [USER AGENT SERVICE]: Request to login user Bruce Patton (@stored IP) to grid virtual.ai
ai.ed.ac.uk:8002
17:46:06 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://129.215.2 [^]
19.138:8002/foreignagent/e02590b7-a15a-4827-bd49-84d5afe8f688/, region Vue-5000, x=1280000 y=128000
0
17:46:06 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to ver
ify identity","your_ip":"208.109.168.104"}
17:46:06 - [USER AGENT SERVICE]: Unable to login user Bruce Patton to grid virtual.aiai.ed.ac.uk:80
02, reason: Unable to verify identity
17:46:06 - [USER AGENT CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to verify ide
ntity"}

Almost identical to what I get from trying to HG to: ucigrid03.nacs.uci.edu:9000

(0017490)
Diva (administrator)
2010-12-09 16:54

[16:52] <CIA-4> opensim: diva * rcefdee8aaf36 /OpenSim/ (5 files in 5 dirs): Normalized ALL URLs with trailing /'s hopefully. Fixed show hyperlinks command. mantis 0005259

Ai, I tested with grid.ansky.ca:8002:Club AnSky, and also got the failures. But since we don't have the logs on the other end, it's hard to know what is going on there.

You told me that grid is in r14611, so I booted up a sim with that revision, and tested between that and head -- it worked. So maybe that grid is not in r14611?
(0017493)
samiam (reporter)
2010-12-09 22:33
edited on: 2010-12-09 22:38

FYI, we are able to HG to OSG plaza with out problems using map search, the issue is that we couldent get back home because it try to valadate the agent to 127.0.0.1 and the system refuses the req. Next we did a bit of path finding ans found a ragion called fermi. From there we can return home as usual.
Seems mostly the plaza's that are one way, a few other regions that are attached (not many) did allow both ways and did the proper lookup/auth of our FQDN. We were testing it with current dev code and was b4 the adtional fixes.
If it matters our system has no ref to 127.0.0.1 so i assume it gets that from there someplace. If it had looked up the fqdn as it does in fermi then 2 way map HG would work fine.
The last few commits we havent had time to test but i found it intresting we could get there fine with map search the whole time.
Used http://hg.osgrid.org:80 [^] in HG map search, it sends us to the default plaza at that point.

tnx

(0017494)
aiaustin (developer)
2010-12-10 02:13
edited on: 2010-12-10 03:18

Thanks Diva. I plan to upgrade to latest and test again later tpday.

Sorry if I implied (or said) Ansky grid was on 14611. I have not been able to get to Ansky Grid since I went to 14611 from 14371 Ansky grid is a HG i7 grid so compatible with OSGrid and Openvue grid, and is I think at least on 14371... but probably not yet on latest.

Overnight in my logs I see many HG attempts to connect to Openvue grid and as far as I can see most end up with an "unable to verify" log... e.g.

08:43:49 - [GATEKEEPER SERVICE]: Unable to verify identity of agent Bogus Curry.
 Refusing service.

We have no way to tell what versions these folks are on, and we now have some serious solits between HG1.0, HG1.5 pre interface change and HG 1.5 i7. I wonder if there is a way to start to pass this loggig info betweebn attempts so diagnosis can proceed more quicjkly as faults occure, or as later incompatible changes to the protocols are introduced?

(0017495)
aiaustin (developer)
2010-12-10 03:23
edited on: 2010-12-10 03:25

Openvue grid now upgraded from r/14611 to r/14624

link-region now "works", with a "local" name that is teh grid loginuri with no region name as its local name as I thought it would, and as it did up to recent changes.

R.O.B.U.S.T.# link-region 8998 9000 http://ucigrid03.nacs.uci.edu:9000 [^]
11:06:04 - [HYPERGRID LINKER]: Link to http://ucigrid03.nacs.uci.edu:9000:, [^] in 8
998-9000
11:06:04 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://ucigrid03.nacs.uci. [^]
edu:9000/
11:06:04 - [HYPERGRID LINKER]: naming linked region http://ucigrid03.nacs.uci.ed [^]
u:9000/
11:06:04 - [HYPERGRID LINKER]: Successfully linked to region_uuid 5e3528e5-363b-
4fc4-9135-c6184043f9a4
11:06:04 - [GRID SERVICE]: Hyperlinks returned 10 regions
11:06:04 - [HYPERGRID LINKER]: link region succeeded
R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
http://ucigrid03.nacs.uci.edu:9000/ [^] 5e3528e5-363b-4fc4-9135-c6184043f9a4
2303488,2304000 (8998,9000) http://ucigrid03.nacs.uci.edu:9000/ [^]

But region does not still show up on the map at 8998,9000 as expected.

I can teleport as before via a chatted links between secondlife://ucigrid03.nacs.uci.edu:9000/ [^] (gets to UCI Grid 03) and secondlife://virtual.aiai.ed.ac.uk:8002:Vue-9000/ [^]

If I try a link-region with an explicit region name I get a "local" name with a space after the "/" is that expected?

R.O.B.U.S.T.# link-region 8998 9000 http://ucigrid03.nacs.uci.edu:9000 [^] "UCI Grid
11:17:43 - [HYPERGRID LINKER]: Link to http://ucigrid03.nacs.uci.edu:9000:UCI [^] Gr
id 03, in 8998-9000
11:17:43 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://ucigrid03.nacs.uci. [^]
edu:9000/
11:17:43 - [HYPERGRID LINKER]: naming linked region http://ucigrid03.nacs.uci.ed [^]
u:9000/ UCI Grid 03
11:17:43 - [HYPERGRID LINKER]: Successfully linked to region_uuid 5e3528e5-363b-
4fc4-9135-c6184043f9a4
11:17:43 - [GRID SERVICE]: Hyperlinks returned 10 regions
11:17:43 - [HYPERGRID LINKER]: link region succeeded
R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
http://ucigrid03.nacs.uci.edu:9000/ [^] UCI Grid 03 5e3528e5-363b-4fc4-9135-c6184043
f9a4
2303488,2304000 (8998,9000) http://ucigrid03.nacs.uci.edu:9000/ [^]

SUMMARY: r/14624 has same behaviour as r/14611 except that show hyperlinks shows login uri rather than previous 0.0.0.0 IP number.

(0017496)
aiaustin (developer)
2010-12-10 05:38

Issue of Map tile not appearing after link-region - NOT AN ISSUE.

I had failed to remember that I had shifted Vue-9000 to cell 9017,9017 to avoid clashes with an existig region on OSGrid (and indeed UCI Grid 03) both of which conicide on 9000,9000.

When I looked in the right location, the map cell was present, and a click to tekleport was possible to UCI Grid 03.

All other unable to verify problems still exist, and incoming request to teleport to Openvue fail and I can see wuch attempts froma range of foreign grids and avatars in my logs.
(0017497)
ndsim (reporter)
2010-12-10 12:08

i am testing the hg on r/14627 however i am getting invaild teleport
on that build by typing as hg.osgrid.org:80 and or virtual.aiai.ed.ac.uk:8002:Vue-9000/ getting internal error
(0017499)
ndsim (reporter)
2010-12-10 12:39

ok excuse me it my end i forgot to upgrade my robust
(0017509)
ndsim (reporter)
2010-12-11 10:36

ok i am on latest opensim, i was able to hg to virtual.aiai.ed.ac.uk:8002 with out a single problem
(0017510)
ndsim (reporter)
2010-12-11 10:49

here my log
13:34:08 - [GRID SERVICE]: GetRegionsByName virtual.aiai.ed.ac.uk:8002
13:34:08 - [NULL REGION DATA]: comparing virtual.aiai.ed.ac.uk:8002 to ansky hypergrid transport
13:34:08 - [HYPERGRID LINKER]: Link to virtual.aiai.ed.ac.uk:8002:, in 8963-0
13:34:08 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://virtual.aiai.ed.ac.uk:8002/ [^]
13:34:08 - [HYPERGRID LINKER]: naming linked region http://virtual.aiai.ed.ac.uk:8002/ [^]
13:34:08 - [HYPERGRID LINKER]: Successfully linked to region_uuid 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
13:34:08 - [GRID SERVICE]: Hyperlinks returned 1 regions
13:34:08 - [HYPERGRID LINKER]: link region succeeded
13:34:09 - [WORLD MAP]: Starting new remote request thread manually. This means that AvatarEnteringParcel never fired! This needs to be fixed! Don't Mantis this, as the developers can see it in this message
13:34:10 - [HG ENTITY TRANSFER MODULE]: region 9c8b6f8f-8178-4a69-92dc-9feba4646
e6b flags: 524
13:34:10 - [HG ENTITY TRANSFER MODULE]: Destination region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b is hyperlink
13:34:10 - [GATEKEEPER SERVICE CONNECTOR]: contacting http://virtual.aiai.ed.ac.uk:8002/ [^]
13:34:10 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 114)
13:34:10 - [HG ENTITY TRANSFER MODULE]: GetFinalDestination serveruri -> http://virtual.aiai.ed.ac.uk:9000/ [^]
13:34:10 - [ENTITY TRANSFER MODULE]: Final destination is x=1000 y=1000 9c8b6f8f-8178-4a69-92dc-9feba4646e6b@http://virtual.aiai.ed.ac.uk:9000/ [^]
13:34:10 - [ENTITY TRANSFER MODULE]: Request Teleport to http://virtual.aiai.ed.ac.uk:8002/ [^] (http://virtual.aiai.ed.ac.uk:9000/ [^]) Openvue/<128, 128, 2.45>
13:34:10 - [HG ENTITY TRANSFER MODULE]: CreateAgent http://virtual.aiai.ed.ac.uk:8002/ [^] http://virtual.aiai.ed.ac.uk:9000/ [^]
13:34:10 - [USER AGENT CONNECTOR]: new connector to http://grid.ansky.ca:8002/ [^] (http://64.15.138.207:8002/ [^])
13:34:10 - [USER AGENT CONNECTOR]: Posted CreateAgent request to remote sim http://64.15.138.207:8002/homeagent/95a2e7a2-9541-4b0a-beca-dc43396018a0/, [^] region Openvue, x=256000 y=256000
13:34:12 - [USER AGENT CONNECTOR]: DoCreateChildAgentCall reply was {"success":true}
13:34:12 - [SCENE PRESENCE]: Closing child agents. Checking 1 regions in AnSky Hypergrid transport
13:34:12 - [ENTITY TRANSFER MODULE]: Set callback URL to http://grid.ansky.ca:9220/agent/95a2e7a2-9541-4b0a-beca-dc43396018a/f0de39b1-0c8d-4974-9e74-75bd9f189800/release/ [^]
13:34:12 - [CHILDAGENTDATAUPDATE]: Pack data
13:34:13 - [ENTITY TRANSFER MODULE]: Sending new CAPS seed url http://virtual.aiai.ed.ac.uk:9000/CAPS/97b13d35-26ae-49ea-b0f9-ec8e513596c90000/ [^] to client 95a2e7a2-9541-4b0a-beca-dc43396018a0
13:34:14 - >>> DoDelete action:release; RegionID:f0de39b1-0c8d-4974-9e74-75bd9f
189800
13:34:14 - [LOCAL COMMS]: Found region to SendReleaseAgent
13:34:14 - [ENTITY TRANSFER MODULE]: Agent 95a2e7a2-9541-4b0a-beca-dc43396018a0
released
13:34:14 - [AGENT HANDLER]: Agent Released/Deleted.
13:34:14 - [ENTITY TRANSFER MODULE]: Sending attachment f647a946-7ea9-4c0b-be49-
b3da44ce201b to region Openvue
13:34:15 - [REMOTE SIMULATION CONNECTOR]: Posted CreateObject request to remote
sim http://virtual.aiai.ed.ac.uk:9000/object/f647a946-7ea9-4c0b-be49-b3da44ce201 [^]
b/
13:34:22 - [CLIENT]: Close has been called for Andsim Hammerer attached to scene
 AnSky Hypergrid transport
(0017511)
aiaustin (developer)
2010-12-11 10:57
edited on: 2010-12-11 11:00

We seems to have success between grids known to be on very latest versions - since 14624 anyway. E.g. Openvue to and from UCI Grid 03 and now ndsim's tests from AnSky grid. But OSGrid is now upgraded and still fails. We could go from Openvue to OSGrid, but not vice versa for some time. Now we get avatar authorisation issues when we try HG jump from Openvue to OSGrid too.

Can we help diagnose possible config issues on OSGrid between us all?

(0017512)
ndsim (reporter)
2010-12-11 11:01

as i test to osgrid i get unable to verify identity
(0017513)
aiaustin (developer)
2010-12-11 11:04
edited on: 2010-12-11 11:14

But we should realise that we seem to have incompatibility in later 0.7.1 dev master versions with ALL previous HG locations which is a serious issue, as we have already split the community into HG 1.0 (various partially compatible communities), HG1.5 up to interface 6, HG1.5 i7.

We need to discuss ways to achieve compatibility and stability or such distributed grids as we move frwards as a community.

(0017514)
aiaustin (developer)
2010-12-11 11:06
edited on: 2010-12-11 11:08

Likewise in a test on latest version on OSGrid for me too ndsim. Nebadon, Teravus and OSGrid gurus, any idea why? Are ALL core Robust servers on latest version? And do we have a known test region on latest version to start to pin this down?

(0017515)
aiaustin (developer)
2010-12-11 11:11
edited on: 2010-12-11 11:15

I wonder if previously set link-region entries are valid still, as I see an immediate pop up says it has an internal error on clicking on the map cells set up for them, but a chatted HG link at least tries to contact the grid.

(0017516)
ndsim (reporter)
2010-12-11 11:13

let me try that on my
(0017517)
ndsim (reporter)
2010-12-11 11:19

hmm whixch grid u try?
(0017518)
aiaustin (developer)
2010-12-11 11:36
edited on: 2010-12-11 11:39

Grids that now work (via a chattd link) when on latest 0.7.1 dev master are

secondlife://virtual.aiai.ed.ac.uk:8002:Openvue/ [^] (at 1000,1000)
secondlife://virtual.aiai.ed.ac.uk:8002:Vue-5000/ [^] (at 5000,5000)
secondlife://virtual.aiai.ed.ac.uk:8002:Vue-9000/ [^] (at 9017,9017)
secondlife://ucigrid03.nacs.uci.edu:9000/ [^] (at 9000,9000) region name UCI Grid 03

Attempts to got on various regions on OSGrid via such links all get unable to verify avatar message. e.g.

secondlife://hg.osgrid.com:80:Wright [^] Plaza/

Note this link has a space after Wright and before Plaza as their region name contains a space - its not show correctly in Mantis comments.

(0017519)
aiaustin (developer)
2010-12-11 11:36
edited on: 2010-12-11 11:38

I just tried secondlife://grid.ansky.ca:8002/ [^] but its saying desination is not replying.. maybe you are not up just now?

(0017520)
ndsim (reporter)
2010-12-11 11:38
edited on: 2010-12-11 11:39

if you r trying AnSky Hypergrid region it was restart ing

(0017521)
aiaustin (developer)
2010-12-11 11:40
edited on: 2010-12-11 11:43

Testing AnSky HG jump from Openvue again, what xloc,yloc is that on... I will assume between 6000,6000 and 10000,10000.

We REALLY BADLY need a way to know the xloc ylocs of such regions. Maybe we need to name HG regions such that the name contains the x,y until we can do better with such information exposure?

(0017522)
aiaustin (developer)
2010-12-11 11:47
edited on: 2010-12-11 13:47

For teleport attempts from openvue (at 1000,100), Vue-5000 (at 5000,5000) and Vue-9000 (at 9017,9017) I clicked chatted link

     secondlife://grid.ansky.ca:8002/ [^]

But at present these report region does not exist any more... and SL Viewer map shows ? Image rather than usual hypergrid swirly circle image.

(0017523)
ndsim (reporter)
2010-12-11 11:50
edited on: 2010-12-11 11:51

welcome at 7100, 7100
AnSky Hypergrid Region is 5000, 5000

(0017524)
aiaustin (developer)
2010-12-11 11:52
edited on: 2010-12-11 13:34

ah... conflicts with Vue-5000 could be a problem?

(0017525)
ndsim (reporter)
2010-12-11 11:55

shhh./. my viewer is laggy i better reboot my computer server is still up
(0017526)
ndsim (reporter)
2010-12-11 12:07

ok i can tp to virtual.aiai.ed.ac.uk:8002:Vue-5000 wo a problem even my region is in 5000,5000
(0017527)
Bruce (reporter)
2010-12-11 14:11

Upgraded Iti Motu (Hg1.5-i7) to r14628 (09-Dec-10) now can't teleport using osTeleportAgent or Map and inbound HG visitors get the can't identify you treatment (win2k3, standalone, hg enabled).
(0017528)
aiaustin (developer)
2010-12-11 15:06
edited on: 2010-12-11 15:10

Bruce, where are you trying to reach? Try a chatted link secondlife://virtual.aiai.ed.ac.uk:8002:Vue-9000/ [^]

Assuming you are within 4096,4096 of that.

Also give me your URL and I will test incoming from Openvue grid.

We are working fine from either end with proer returns home only between Diva's UCI Grid 03 and Opnvue grid at e moment

(0017529)
ndsim (reporter)
2010-12-11 15:14

try my if u r in range 7000 7000 use grid.ansky.ca:8002
if under like 1000, 1000 use grid.ansky.ca:8002:AnSky Hypergrid transport
(0017530)
aiaustin (developer)
2010-12-11 15:34

I tried a HG teleport via a chatted link from Vue-9000 to secondlife://grid.ansky.ca:8002/ [^] but got a message saying region no lonmger existed, and ? image on map rather than swirly HG disc.

But after I rebooted my grid competely just to be sure, I can teleport fine to Ansky grid :-)

Why reboot was needed I am not sure. Something must get jammed up if there is ONE unuccessful attempt.
(0017531)
Bruce (reporter)
2010-12-11 15:38

Ai and ndsim: metaversesim.net:9000 centered at 9000,9000 see:

http://opensimulator.org/wiki/Public_Hypergrid_Nodes [^]

Will try with chatted link in a couple of minutes. So by what I can deduct from reading this mantis, I have to assume that teleporting using osTeleportAgent or Map is currently borked.
(0017533)
ndsim (reporter)
2010-12-11 16:05

map is working but might need to change setting in ur ini
(0017534)
Bruce (reporter)
2010-12-11 16:29

As tested with Ai and Andsim: HG teleport using linked regions in Map works. Using osTeleportAgent does not. No error in console just "Could not teleport. Internal error" on screen. Viewer used was Imprudence 1.3.0 and SL 1.23.5
(0017535)
aiaustin (developer)
2010-12-11 16:37
edited on: 2010-12-11 16:38

Okay, tests between these very recent 0.7.1 dev master release systems - 3 grids (ports 8002) and 2 standalones (ports 9000) - now seem to be working. The main (HG default) regions are within the 4096,4096 jump distane of one another except for Openvue grid where Vue-9000 is a compatible region.

http://virtual.aiai.ed.ac.uk:8002:Vue-9000/ [^]
http://grid.ansky.ca:8002/ [^]
http://tausys.servegame.com:8002/ [^]
http://ucigrid03.nacs.uci.edu:9000/ [^]
http://metaversesims.net:9000/ [^]

There may be some XINVENTORY issues between the two grids which is beign invenestigated and reported by Andsim, but grid to standalone inventory transfer tests have worked.

(0017536)
Diva (administrator)
2010-12-11 21:36

Please note that HG inventory transfers now should preserve the creator information. If the creator is you, you won't see any difference. But others should see first.last @authority as the creator of rezzed objects.
(0017537)
aiaustin (developer)
2010-12-12 01:59
edited on: 2010-12-12 02:25

Openvue grid using opensim-tree-d056afb... 2010-12-10 r/14628 0.7.1 dev master

I did a copy of an item on Ansky grid and tried to rezz it on Openvue on my return home. In the objects properties it shows the creator as "Andsim HammererGrid" (not "Andsim HammererGrid @grid.ansky.ca:8002").. which does not seem correct. As there could be an "Andsim HammererGrid" on the home grid. Also, I note that the creator profile shows two "None" groups in the groups panel. See attached image hg-item-transfer-test-andsky-tshirt-creator-profile.jpg

Maybe Bruce and Andsim could check the two blue HG transfer test boxes they picked up on Openvue grid and verify that the creator information has been retained as expected?

It should say Ai.Austin @virtual.aiai.ed.ac.uk:8002 when the objects are in their home grid inventory or the rezzed copies they put on their grids in last nights tests.

If you want to test a chain of permission preservation... go to Diva's test grid at:

http://ucigrid03.nacs.uci.edu:9000/ [^] (at location 9000,9000)

where I placed copies of the two blue box objects, one with contents which is a chair. Take copies, and then see if the creator info of the boxes AND the contents in one of them is preserved when you get back to your home grid/standalone

(0017538)
aiaustin (developer)
2010-12-12 02:22

Note that http://metaversesims.net:9000/ [^] may only have been compatible for test and again shows the "could not verify avatar" message. Bruce might be able to confirm which version he intends to leave running for now?
(0017539)
ndsim (reporter)
2010-12-12 04:47

sorry my hg link was mess up that why wont let u in i fixed it
(0017540)
ndsim (reporter)
2010-12-12 05:06

ok shh.. i solve my inventory problem
it was missing few config in my robust
(0017542)
ndsim (reporter)
2010-12-12 05:27

as for me i get different too it wont let me to myconsole diplay below

08:25:15 - [HOME AGENT HANDLER]: Unauthorized machine 64.15.138.207 tried to set
 client ip to 72.12.166.240
08:25:15 - [AGENTCIRCUITDATA]: agentid=95a2e7a2-9541-4b0a-beca-dc43396018a0, chi
ld=True, startpos=<128, 128, 2.45>
08:25:15 - [AGENTCIRCUITDATA]: unpacked appearance
08:25:15 - [USER AGENT SERVICE]: Request to login user Andsim Hammerer (@stored
IP) to grid http://metaversesims.net:9000/ [^]
08:25:15 - [USER AGENT SERVICE]: m_grid - http://grid.ansky.ca:8002/, [^] gn - http:
//metaversesims.net:9000/
08:25:15 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://metaversesims.net:9000/foreignagent/95a2e7a2-9541-4b0a-beca-dc43396018 [^]
a0/, region Motu Aruo, x=2304256 y=2304000
08:25:15 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"rea
son":"Unable to verify identity","your_ip":"64.15.138.207"}
08:25:15 - [USER AGENT SERVICE]: Unable to login user Andsim Hammerer to grid ht
tp://metaversesims.net:9000/, [^] reason: Unable to verify identity
(0017543)
aiaustin (developer)
2010-12-12 08:00
edited on: 2010-12-12 08:25

Tests of a HG Jump from Openvue Grid to OSGrid

OSgrid OpenSimulator 0.7.1.dev.3ef9a4d - [zip] [28.1mb] 12-09-2010
built from OpenSimulator git hash : 3ef9a4da9a12a9a4066b813556748aa9d158e212

(NB this is dated as 9-Dec-2010 but that is likely because it was committed at 3:51am GMT in the UK on 10-Dec-2010 by Justin!)

Openvue Grid is on:
opensim-tree-d056afb... 2010-12-10 r/14628 0.7.1 dev master
which is also the identical 3ef9a4da9a12a9a4066b813556748aa9d158e212 commit version. (NB this is properly dated 10-Dec-2010)

I cleared out all the old Openvue grid hyperlinks from Robust.exe via console region-unlink commands, and tried a fresh link to OSGrid now it is on a very recent 0.7.1 dev master version (from 10-Dec-2010). The link-region works (I note no "/" on the end of the local region name unusually though which a recent commit changed (r/14625 ahead of the release in use - odd?).

R.O.B.U.S.T.# link-region 9019 9018 http://hg.osgrid.org:80/ [^]
15:38:21 - [HYPERGRID LINKER]: Link to http://hg.osgrid.org:80/:, [^] in 9019-9018
15:38:21 - [GATEKEEPER SERVICE CONNECTOR]: Linking to http://hg.osgrid.org:80/ [^]
15:38:21 - [HYPERGRID LINKER]: naming linked region http://hg.osgrid.org:80 [^]
15:38:21 - [HYPERGRID LINKER]: Successfully linked to region_uuid 9101b44d-922c-4cc6-94b5-6d176e392dc4
15:38:21 - [GRID SERVICE]: Hyperlinks returned 5 regions
15:38:21 - [HYPERGRID LINKER]: link region succeeded
R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
http://grid.ansky.ca:8002/ [^] 05e47c04-6564-4f16-9c0b-5f4debfac40c
2308864,2308096 (9019,9016) http://grid.ansky.ca:8002/ [^]

http://ucigrid03.nacs.uci.edu:9000/ [^] 5e3528e5-363b-4fc4-9135-c6184043f9a4
2308864,2308352 (9019,9017) http://ucigrid03.nacs.uci.edu:9000/ [^]

http://hg.osgrid.org:80 [^] 9101b44d-922c-4cc6-94b5-6d176e392dc4
2308864,2308608 (9019,9018) http://hg.osgrid.org:80/ [^]

-------------------------------------

But then an attempt to jump to the location still fails with unable to verify identity. Though it seemed to get along quite well except for these issues:

a) "no gatekeeper detected" message (is that for Openvue grid on virtual.aiai.ed.ac.uk:8002 or the hg.osgrid.org:80 end?)

b) "Gatekeeper sees me as" with nothing after that message.

c) Unauthorized machine 129.215.219.138 tried to set client ip to 82.41.239.115 (where 129.215.219.138 is the Openvue Robust.exe server and 82.41.239.115 is my current SL viewer client IP.

d) I am jumping from Openmvue region "Vie-9000" to OSGrid (apparently default region "Lbsa Plaza" which must have been selected from the 5 regions returned in the link-region call).

e) An IP of 127.0.0.1 appears at one popint in the logs. Is this from te OSGRid end (which might be a configuration problem in one or more of their Robust servers and/or core opensim.exe instnaces (likely in config-include/GridCommon,.ini?)
DoCreateChildAgentCall reply was {"reason":"Unable to verify identity","your_ip":"127.0.0.1"}

------------------------------------------
Robust.exe log of HG jump attempt follows:

15:40:43 - [LLOGIN SERVICE]: Login request for Ai Austin from 82.41.239.115 with user agent Opensim 1.23.5.136262 starting in last
15:40:43 - [PASS AUTH]: got 4733825f6212bcf1e18221557f2e54d4; hashed = 76681d71e75cd7a1c9dc1b951456948d; stored = 76681d71e75cd7a1c9dc1b951456948d
15:40:43 - [LLOGIN SERVICE]: 0 active gestures
15:40:43 - [PRESENCE SERVICE]: LoginAgent e24a9015-f5ca-452b-8c95-d32e34cb9d64 w
ith session 2ddfd69d-561d-4bec-a114-9d5b837a4734 and ssession 24f0c551-2203-4bb3-982f-1ee0de5bc657
15:40:43 - [GRID USER SERVICE]: User e24a9015-f5ca-452b-8c95-d32e34cb9d64 is online
15:40:43 - [LLOGIN SERVICE]: FindDestination for start location last
15:40:43 - [LLLOGIN SERVICE]: no gatekeeper detected..... using http://virtual.aiai.ed.ac.uk:8002 [^]
15:40:43 - [LLLOGIN SERVICE]: found new key HomeURI http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [LLLOGIN SERVICE]: found new key InventoryServerURI http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [LLLOGIN SERVICE]: found new key AssetServerURI http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [LLLOGIN SERVICE]: found new key ProfileServerURI http://virtual.aiai.ed.ac.uk:8002/user/ [^]
15:40:43 - [LLOGIN SERVICE]: Launching agent at Vue-9000
15:40:43 - [USER AGENT SERVICE]: Request to login user Ai Austin (@82.41.239.115) to grid http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [USER AGENT SERVICE]: m_grid - http://virtual.aiai.ed.ac.uk:8002/, [^] gn - http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [GATEKEEPER SERVICE]: Request to login foreign agent Ai Austin @ http://virtual.aiai.ed.ac.uk:8002/ [^] (e24a9015-f5ca-452b-8c95-d32e34cb9d64) at destination Vue-9000
15:40:43 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002/ [^] against http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [USER AGENT SERVICE]: Verifying agent token http://virtual.aiai.ed.ac.uk:8002/;9f49d35c-1804-4210-8c86-dc8480b8a808 [^] against http://virtual.aiai.ed.ac.uk:8002/;9f49d35c-1804-4210-8c86-dc8480b8a808 [^]
15:40:43 - [GATEKEEPER SERVICE]: Identity verified for Ai Austin @ http://virtual.aiai.ed.ac.uk:8002/ [^]
15:40:43 - [GATEKEEPER SERVICE]: User is ok
15:40:43 - [GATEKEEPER SERVICE]: Login presence ok
15:40:43 - [GATEKEEPER SERVICE]: destination ok: Vue-9000
15:40:43 - [GATEKEEPER SERVICE]: launching agent ViaLogin
15:40:43 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://virtual.aiai.ed.ac.uk:9000/agent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^] region Vue-9000, x=2308352 y=2308352
15:40:44 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"success":true,"your_ip":"129.215.219.138"}
15:40:44 - [USER AGENT SERVICE]: Gatekeeper sees me as
15:40:44 - [LLOGIN SERVICE]: Retrieved 21 friends
15:40:44 - [LLOGIN]: Library has 19 folders
15:40:44 - [LLOGIN SERVICE]: All clear. Sending login response to client.
15:40:52 - [GRID SERVICE]: region Vue-9000 has 0 neighours
15:40:57 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64, attachs=5
15:41:17 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64, attachs=5
15:41:18 - [HOME AGENT HANDLER]: Unauthorized machine 129.215.219.138 tried to set client ip to 82.41.239.115
15:41:18 - [AGENTCIRCUITDATA]: agentid=e24a9015-f5ca-452b-8c95-d32e34cb9d64, child=True, startpos=<132.1266, 108.1935, 26.03808>
15:41:18 - [AGENTCIRCUITDATA]: unpacked appearance
15:41:18 - [USER AGENT SERVICE]: Request to login user Ai Austin (@stored IP) to grid http://hg.osgrid.org:80/ [^]
15:41:18 - [USER AGENT SERVICE]: m_grid - http://virtual.aiai.ed.ac.uk:8002/, [^] gn - http://hg.osgrid.org:80/ [^]
15:41:18 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://hg.osgrid.org:80/foreignagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^] region Lbsa Plaza, x=2662912 y=2572800
15:41:18 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to verify identity","your_ip":"127.0.0.1"}
15:41:18 - [USER AGENT SERVICE]: Unable to login user Ai Austin to grid http://hg.osgrid.org:80/, [^] reason: Unable to verify identity


-------------------------------------------------
OpenSim.exe for sim hosting region "Vue-9000" log

15:41:17 - [HG ENTITY TRANSFER MODULE]: region 9101b44d-922c-4cc6-94b5-6d176e392dc4 flags: 524
15:41:17 - [HG ENTITY TRANSFER MODULE]: Destination region 9101b44d-922c-4cc6-94b5-6d176e392dc4 is hyperlink
15:41:17 - [GATEKEEPER SERVICE CONNECTOR]: contacting http://hg.osgrid.org:80/ [^]
15:41:18 - [HG ENTITY TRANSFER MODULE]: GetFinalDestination serveruri -> http://plaza06.osgrid.org:9102/ [^]
15:41:18 - [ENTITY TRANSFER MODULE]: Final destination is x=10402 y=10050 9101b44d-922c-4cc6-94b5-6d176e392dc4@http://plaza06.osgrid.org:9102/ [^]
15:41:18 - [ENTITY TRANSFER MODULE]: Request Teleport to http://hg.osgrid.org:80/ [^] (http://plaza06.osgrid.org:9102/ [^]) Lbsa Plaza/<132.1266, 108.1935, 26.03808>
15:41:18 - [HG ENTITY TRANSFER MODULE]: CreateAgent http://hg.osgrid.org:80/ [^] http://plaza06.osgrid.org:9102/ [^]
15:41:18 - [USER AGENT CONNECTOR]: new connector to http://virtual.aiai.ed.ac.uk:8002/ [^] (http://129.215.219.138:8002/ [^])
15:41:18 - [USER AGENT CONNECTOR]: Posted CreateAgent request to remote sim http://129.215.219.138:8002/homeagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^] region Lbsa Plaza, x=2662912 y=2572800
15:41:18 - [USER AGENT CONNECTOR]: DoCreateChildAgentCall reply was {"reason":"Unable to verify identity"}

(0017545)
Diva (administrator)
2010-12-12 08:19

Ai, HG to OSGrid doesn't work. Please stop trying! :)

OSgrid is using proxies, and they seem to have something misconfigured -- that 127.0.0.1 that you see is indicative that either a) their proxies aren't working properly, or b) OpenSim isn't doing the right thing for the complex proxy setups like OSGrid. Until they revise their proxy configurations, it will be useless to test HG with OSGrid.
(0017546)
Diva (administrator)
2010-12-12 08:42

Ai, wrt rezzing objects taken from other grids. Your viewer's cache is tricking you, and I'm afraid there is nothing I can do about that at the moment. If you clear the cache and login again, that object you rezzed should start showing the right creator name with an @ in between. Can you please try?
(0017547)
aiaustin (developer)
2010-12-12 08:43

Okay Diva :-) I don't want to waste my time (and yours) if its useless! But we seem to hae working grids using a recent version of 0.7.1 dev master code, and OSGrid had installed a 10-Dec-2010 very recent version which could have fixed the problem if their configs were right. So I will leave this for now and I sent a summary e-mail and pointer to this Mantis entry and the tesing results to info@osgrid.org
(0017548)
aiaustin (developer)
2010-12-12 08:53
edited on: 2010-12-12 08:54

Okay, I tested an HG obtained item from Ansky grid (both Openvue grid and Ansky grid are on very recent versions of 0.7.1.dev for HG testing in last few days).

First I checked that the old style name of the creator was still present. It was "Andsim HammererGrid". This is also the case after SERVER restarts for Openvue grid Robust and Sim servers.

I then cleared the cache (using SL Viewer 1.23.5) as you suggested. After relogging, the item then shows the creator name as

     Andsim.HammererGrid @unknown

I note that Ansky grid is also still mapped in my hyperlinks list in my Robust.exe by the way... though I assume that shoud not be required of course.

R.O.B.U.S.T.# show hyperlinks
Region Name Region UUID
Location URI
-------------------------------------------------------------------------------
http://grid.ansky.ca:8002/ [^] 05e47c04-6564-4f16-9c0b-5f4debfac40c
2308864,2308096 (9019,9016) http://grid.ansky.ca:8002/ [^]

http://ucigrid03.nacs.uci.edu:9000/ [^] 5e3528e5-363b-4fc4-9135-c6184043f9a4
2308864,2308352 (9019,9017) http://ucigrid03.nacs.uci.edu:9000/ [^]

http://metaversesims.net:9000/ [^] 5fb88f44-a1a9-11df-981c-0800200c9a66
2309120,2308096 (9020,9016) http://metaversesims.net:9000/ [^]

http://hg.osgrid.org:80 [^] 9101b44d-922c-4cc6-94b5-6d176e392dc4
2308864,2308608 (9019,9018) http://hg.osgrid.org:80/ [^]

http://tausys.servegame.com:8002/ [^] e3a59500-6c67-1014-9687-9333c92227a1
2309120,2308352 (9020,9017) http://tausys.servegame.com:8002/ [^]


If you want to test an ite you feel should work, you could

(0017549)
Diva (administrator)
2010-12-12 08:56

OK, great. So this is either a misconfiguration on their side -- forgetting to set the ProfileServerURI in the configs -- or a bug.
(0017550)
aiaustin (developer)
2010-12-12 08:58
edited on: 2010-12-12 08:59

I see an item left by Andsim from Ansky Grid on your UCI Grid 03 region, and the creartor (and owner) of that shows corrrectly as "Andsim.Hammerer @grid.ansky.ca:8002"

I rezzed a copy of the Ansky grid obtained item (a T-Shirt image poster with web site link script in it) from my inventory on UCI Grid 03 and that shows creator as "Andsim.HammererGrid @unknown". I left that item on your region in case you want to examine it.

(0017551)
Diva (administrator)
2010-12-12 09:01

OK, that sounds that they forgot to set the ProfileServerURI in GridCommon.ini. They need to compare GridCommon.ini.example with their current settings.
(0017552)
Diva (administrator)
2010-12-12 09:08

Yes, I see your name on the objects, with the correct profile URI :)

Even the owner names are showing correctly. For now, the owner names may or may not persist sim reboots; it depends on whether they match existing creator names. For now only foreign creator names persist on the DB.
(0017553)
aiaustin (developer)
2010-12-12 09:08
edited on: 2010-12-12 09:14

Thanks for diagnosing that Diva.

Andsim, over to you on this one. Check your GridCommon.ini and any other place where the ProfileServerURI is set... in versions a few days ago there was an error in the example files which used /profile on the end in some places. They all need to be /user on end of URL consistently I understand, as in the very latest .ini.examples.

(0017554)
Diva (administrator)
2010-12-12 09:14

Actually, what follows the authority part of the URI doesn't matter that much for the time being, because the profile info isn't being retrieved yet. The authority is domain:port portion of the URI only, and that's the only part that matters, for now. It's good that the rest of the path is consistent all over, obviously, but it's not being used yet.
(0017555)
aiaustin (developer)
2010-12-12 09:27
edited on: 2010-12-12 09:36

I also tested an OSTeleportAgent scripted object from Openvue with a "target" to "ucigrid03.nacs.uci.edu:9000:UCI Grid 03" and that works fine on Openvue Grid which is running version:
opensim-tree-d056afb... 2010-12-10 r/14628 0.7.1 dev master

I tried an object on UCI Grid 03 to teleport back to "virtual.aiai.ed.ac.uk:8002:Vue-9000" but that fails I would assume just because all OS functions are disabled on your test grid - as is reported in the script console popup.

Bruce you might want to test again now as I believe OSTeleportAgent is working fine.

Things are looking consistent now for HG tests on known very recent versions of 0.7.1 dev master, since the significant config file changes.

(0017556)
Diva (administrator)
2010-12-12 09:34

Scripted objects should work when the proper security level is enabled at the sim.
(0017557)
aiaustin (developer)
2010-12-12 09:37

Sorry, that was a glitch on the end of my last comment.. which I have now removed. OSTeleportAgent scfipted objects ARE working in my testing.
(0017559)
ndsim (reporter)
2010-12-12 10:26

ok i will check gridcommon but i already fix up robust it was missing stuff that is fix
(0017560)
ndsim (reporter)
2010-12-12 10:59

ok now checking sure we?

1. robust profiles setting in? checked
2. gridcommon.ini profiles setting in? checked

as you see it is fixed and look after, if i missed setting please let me know
ai as i see on my end is unknown user when i bring ur objects from ur grid
(0017561)
Bruce (reporter)
2010-12-12 11:05
edited on: 2010-12-12 14:40

Ai: I just updated to r14645. Same problems as before. Giving up testing for the time being and reverting to r14370.

(0017579)
aiaustin (developer)
2010-12-13 04:46
edited on: 2010-12-13 04:47

I checked again the creator field for objects taken as allowing "Take Copy" from Ansky grid. They works fine with creator shown as "Andsim.Hammerer @grid.ansky.ca:8002"

The problem was a specific object (the T-Shirt image board with click to get URL object). It has a creator name "Andsim.Hammerer @ " with nothing after the @ even when examined via its properties on Ansky grid itself. That showed as @"Andsim.Hammerer @unknown" when rezzed elsewhere. Maybe Andsim could delete and rerez a copy of that board as it must have been placed in world at a time when this was only partially working.

(0017581)
aiaustin (developer)
2010-12-13 04:55

Okay Bruce, I notice that I get "unable to verify identity" when I try a HG jump from Openvue to to your grid at http://metaversesim.net:9000/, [^] which will be due to it being prior to r/14434 (25-Nov-2010) onwards as required for interoperability with latest 0.7.1 dev master code.

Also note that OSTeleportAgent is working fine for me to known compatible grids, and back (e.g. via UCI Grid 03 and Ansky grid).

I had one viewer crash in 3 attempts to go from Openvue to Ansky grid though worryingly. It crashed at point where I had left Openvue and was just arriving at the the foreign grid region like other viewer crashes we observed 6-8 weeks ago.
(0017583)
ndsim (reporter)
2010-12-13 07:11

ok i redo the object soo it in ur testing sim
(0017585)
aiaustin (developer)
2010-12-13 07:43

I get a very odd effect when I try an OSTeleportAgent to a location that cannot be reached - such as "metaversesim.net:9000" at present. Rather than indicate the failuire, it sends me to another grid/region entuirely... possibly one that was the last HG location visited?
(0017586)
ndsim (reporter)
2010-12-13 08:15

no idea if i was on my t tell me unable to verify your identity
(0017609)
aiaustin (developer)
2010-12-15 03:24
edited on: 2010-12-15 03:28

On a test of some scripts on my regions directly on OSGrid, they had the effect of testing a HG teleport attempt for user "Ai Austin @hg.osgrid.org:80 to a region on the Openvue grid... and I noticed this in the Robust.exe logs at the Openvue end... notice that the comparison is being done with a "/" on end in one case and it has no slash on end in another case? Could this one part of the OSGrid config problems?

Openvue is currently on r/14658 and I think OSGrid is pretty recent too.

11:02:05 - [GATEKEEPER SERVICE]: Request to login foreign agent Ai Austin @ http://hg.osgrid.org:80 [^] (e858df02-a860-4b92-937a-2b87e4ebcd6d) at destination Openvue
11:02:05 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002/ [^]
11:02:05 - [GATEKEEPER SERVICE]: Unable to verify identity of agent Ai Austin. Refusing service.

As you know, since the config changes at r/14434 (25-Nov-2010) no interoperability with previous HG setups has been possible, the message the user sees, and that the destination server logs show, is "unable to verify identity".

(0017611)
aiaustin (developer)
2010-12-15 05:50

Could it be something at the Openvue grid config files end that had this mistake in it... as I see many connection attempts that fail with unable to identify idenity from many grids. E.g. a sample here that is probably not from OSGrid... and this has the same issue of / on end of one URL and not other in the "Verifying..." line:

13:46:11 - [GATEKEEPER SERVICE]: Request to login foreign agent Sweet JaneX @ http://204.236.242.209:9300 [^] (e76cba87-bef9-4806-ac8d-18f7fde2c746) at destination Vue-9000
11:38:59 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002/ [^]
11:38:59 - [GATEKEEPER SERVICE]: Unable to verify identity of agent Sweet JaneX. Refusing service.
(0017612)
aiaustin (developer)
2010-12-15 05:56
edited on: 2010-12-15 10:27

I wonder if the useraccounts DB ServiceURLs field should have some particular format for ALL avatars? Maybe in transitions from older to newer versions these should be updated? Just checking as we try to track down HG issues.

Older avatars in my useraccounts table have a ServiceURLs of

AssetServerURI= InventoryServerURI= GatewayURI= HomeURI=

Newer avatars show this field as
HomeURI=http%3a%2f%2fvirtual.aiai.ed.ac.uk%3a8002 InventoryServerURI=http%3a%2f%2fvirtual.aiai.ed.ac.uk%3a8002 AssetServerURI=http%3a%2f%2fvirtual.aiai.ed.ac.uk%3a8002 Avatar=Male

(0017613)
aiaustin (developer)
2010-12-15 07:21
edited on: 2010-12-15 07:21

I note that even with the very latest 0.7.1 dev masdter code (r/14681) that we are gettign a LOT of [LLUDPSERVER] StartPingCheck (and possibly other) messages. It looks to me like its coming from the LAST region an avatar was at, plus any adjacent region to that location, and is being generated by some code every 5 seconds. They continue even after user goes rto a very far away region, or even when the client is logged off. A server restart seems to clear it.

15:14:07 - [LLUDPSERVER]: Received a StartPingCheck packet from an unrecognized source: 129.215.219.138:62451 in Sandbox
15:14:08 - [LLUDPSERVER]: Received a StartPingCheck packet from an unrecognized source: 129.215.219.138:62451 in Openvue

(0017614)
ndsim (reporter)
2010-12-15 07:24

same as here too, i think it had to do with sim start rezz it forgot to tell agent to rezz or i could be wrong
(0017617)
coyled (reporter)
2010-12-15 09:51

Just to provide a little clarification on OSGrid's situation... HG was working fine for OSGrid with 7de30cc from master (Oct 18). We then upgraded to 22144eb from master on or around Nov 9, and continue to run that rev for all grid services. I believe HG broke with that update; not 100% certain, but no one I've spoken to can recall HG working to/from OSGrid after November 9. None of OSGrid's robust-related configs have changed since Oct 18, and I don't see any proxy change which should have any bearing on OpenSim. So I'm leaning towards something changing between Oct 18 & Nov 9 which affected us.

That said, I just haven't had enough time to set up two test grids, replicating OSGrid's configuration, and bisect the commits to try to find where specifically this broke. It's possible there's a bug only affecting us (since we're using proxies and name-based virtual hosts to route inbound requests to multiple robust instances, we're sensitive to any sort of hostname->ip address conversion). It's also possible I've overlooked something. I'm making progress on setting up test grids, just not as quickly as I'd like.

So that's the summary of OSGrid's situation. We're aware HG is broken, and slowly working on it. But as Diva said I wouldn't recommend using OSGrid right now for other inbound/outbound HG testing.
(0017618)
aiaustin (developer)
2010-12-15 10:27

Thanks coyled, that useful. You do need to change the central config-include/GridCommom.ini, Robust.HG.ini and your recommended region server Opensim.ini files for latest versions.... See changes at r/14434 (25-Nov-2010) as the changes are required for interoperability with latest 0.7.1 dev master code.
(0017619)
aiaustin (developer)
2010-12-15 10:36
edited on: 2010-12-15 10:40

Note we use name based configs everywhere on our grid and regions with three connected OpenSim.exe instances across multiple hosts. Only FreeSwitch elements use IP numbers in our config. So I would not expect that to be the issue.

There have been broken 0.7.1 dev master releases wrt HG several times in last three months, including indentity verification probems due to attempted changes to server uri handling, some serious and needing many reverts. You have used recommended releases which included these broken versions. I know as I run two regions on OSGrid.

Just configure a new working environment like the recently set up 0.7.1 test grids reported in the Mantis notes. Let us know if we can help.

(0017694)
MyanThor (reporter)
2010-12-29 01:21

I have a little patch for the problem described in comment 17611 that partialy fixes a problem in gatekeeperservice.

index 4419201..bbddd87 100644
--- a/OpenSim/Services/HypergridService/GatekeeperService.cs
+++ b/OpenSim/Services/HypergridService/GatekeeperService.cs
@@ -330,10 +330,12 @@ namespace OpenSim.Services.HypergridService
             if (parts.Length < 2)
                 return false;
 
- string addressee = parts[0];
- m_log.DebugFormat("[GATEKEEPER SERVICE]: Verifying {0} against {1}", addressee, m_ExternalName);
+ char[] trailing_slash = new char[] { '/' };
+ string addressee = parts[0].TrimEnd(trailing_slash);
+ string externalname = m_ExternalName.TrimEnd(trailing_slash);
+ m_log.DebugFormat("[GATEKEEPER SERVICE]: Verifying {0} against {1}", addressee, externalname);
 
- return string.Equals(addressee, m_ExternalName, StringComparison.OrdinalIgnoreCase);
+ return string.Equals(addressee, externalname, StringComparison.OrdinalIgnoreCase);
         }
 
         #endregion
(0017695)
MyanThor (reporter)
2010-12-29 04:45

A little patch for the problem described in comment 17611 that fixes a problem in gatekeeperservice.
(0017696)
Diva (administrator)
2010-12-29 06:05

Thank you, MyanThor!
[06:05] <CIA-40> opensim: myan.thor * r915c0b17b063 /OpenSim/Services/HypergridService/GatekeeperService.cs: fixes a problem with ending slashes in GatekeeperService to verify session-addresses
(0017789)
Diva (administrator)
2011-01-06 20:37

Good news! The tile images are now consistently back on map search.

[12:54] <CIA-14> opensim: diva * r81587466e72c /OpenSim/Region/CoreModules/World/WorldMap/MapSearchModule.cs:
[12:54] <CIA-14> opensim: Map search: changed the flag sent to the client. It was 2 (???), now it's 0.
[12:54] <CIA-14> opensim: This makes HG map tiles work on map search -- a longstanding annoyance. My map
[12:54] <CIA-14> opensim: search tests were all ok, but since I don't understand these flag values, this
[12:54] <CIA-14> opensim: may break something related to map search.
(0017919)
aiaustin (developer)
2011-02-02 01:59

This is a query for Diva...

Noting logs for 0.7.1 dev master r/14865... I am seeing "Request to link to ..." messages that seem to have capitalisations that vary "Openvue" (the name used for the region involved) and "openvue" with a lower case "o". Could this indicate that capitalisation normalisation and perhaps subsequent equqality checks are not working in all cases yet?


09:50:34 - [GATEKEEPER SERVICE]: Request to link to Openvue
09:50:42 - [GATEKEEPER SERVICE]: Request to link to openvue
09:50:45 - [GATEKEEPER SERVICE]: Request to get hyperlink region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
09:51:14 - [GATEKEEPER SERVICE]: Request to link to openvue
09:51:16 - [GATEKEEPER SERVICE]: Request to get hyperlink region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
(0017931)
Diva (administrator)
2011-02-03 04:29

Do you know what people typed on the requesting end?
in any case, I believe that names are normalized before comparison.
(0017937)
aiaustin (developer)
2011-02-03 05:09

Sorry, I don't Diva... maybe its just something that can be ignored if all comparisons are done on normalized strings anyway. I thought it worth noting in case it might signal an issue.
(0029174)
aiaustin (developer)
2015-08-17 11:55

This is an old issue that had a lot of discussion as some chnages were made and some grids needed to configure settings correctly. It is believe to be resolved. Please start a new issue if any related problem arises.
(0029177)
aiaustin (developer)
2015-08-17 12:01

Closed

- Issue History
Date Modified Username Field Change
2010-12-08 03:39 aiaustin New Issue
2010-12-08 03:39 aiaustin Git Revision => 0.7.1 dev master
2010-12-08 03:39 aiaustin SVN Revision => 14611
2010-12-08 03:39 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-12-08 03:39 aiaustin Physics Engine => ODE
2010-12-08 03:39 aiaustin Environment => .NET / Windows32
2010-12-08 03:39 aiaustin Mono Version => None
2010-12-08 03:39 aiaustin Viewer => SL 1.23.5
2010-12-08 03:40 aiaustin Description Updated
2010-12-08 08:47 aiaustin Note Added: 0017457
2010-12-08 08:47 aiaustin Note Edited: 0017457
2010-12-08 09:15 aiaustin Note Added: 0017458
2010-12-08 09:16 aiaustin Note Edited: 0017458
2010-12-08 09:17 aiaustin Note Edited: 0017458
2010-12-08 09:58 aiaustin Note Added: 0017460
2010-12-08 09:59 aiaustin Note Edited: 0017460
2010-12-08 10:00 aiaustin Note Edited: 0017460
2010-12-08 10:01 aiaustin Note Edited: 0017460
2010-12-09 07:00 aiaustin Note Added: 0017464
2010-12-09 07:03 aiaustin Note Added: 0017465
2010-12-09 07:27 Diva Note Added: 0017466
2010-12-09 08:12 Diva Note Added: 0017467
2010-12-09 09:16 Diva Note Added: 0017468
2010-12-09 09:51 aiaustin Note Added: 0017471
2010-12-09 09:52 aiaustin Note Edited: 0017471
2010-12-09 09:52 Diva Note Added: 0017472
2010-12-09 09:53 aiaustin Note Deleted: 0017465
2010-12-09 09:54 Diva Note Edited: 0017472
2010-12-09 09:58 aiaustin Note Added: 0017473
2010-12-09 09:58 aiaustin Note Edited: 0017473
2010-12-09 09:58 aiaustin Note Edited: 0017473
2010-12-09 10:03 aiaustin Note Added: 0017474
2010-12-09 10:06 Diva Note Added: 0017475
2010-12-09 10:14 aiaustin Note Added: 0017476
2010-12-09 10:17 aiaustin Note Edited: 0017476
2010-12-09 10:21 aiaustin Note Added: 0017477
2010-12-09 10:23 Diva Note Added: 0017478
2010-12-09 12:03 aiaustin Note Added: 0017480
2010-12-09 12:31 aiaustin Note Added: 0017481
2010-12-09 12:32 aiaustin Note Edited: 0017481
2010-12-09 12:36 aiaustin Note Edited: 0017481
2010-12-09 12:40 aiaustin Note Edited: 0017481
2010-12-09 12:45 aiaustin Note Added: 0017482
2010-12-09 13:01 aiaustin Note Added: 0017483
2010-12-09 13:04 aiaustin Note Added: 0017484
2010-12-09 13:05 aiaustin Note Edited: 0017484
2010-12-09 13:57 Bruce Note Added: 0017485
2010-12-09 14:06 Bruce Note Edited: 0017485
2010-12-09 16:54 Diva Note Added: 0017490
2010-12-09 22:33 samiam Note Added: 0017493
2010-12-09 22:38 samiam Note Edited: 0017493
2010-12-10 02:13 aiaustin Note Added: 0017494
2010-12-10 03:18 aiaustin Note Edited: 0017494
2010-12-10 03:23 aiaustin Note Added: 0017495
2010-12-10 03:25 aiaustin Note Edited: 0017495
2010-12-10 05:38 aiaustin Note Added: 0017496
2010-12-10 12:08 ndsim Note Added: 0017497
2010-12-10 12:39 ndsim Note Added: 0017499
2010-12-11 10:36 ndsim Note Added: 0017509
2010-12-11 10:49 ndsim Note Added: 0017510
2010-12-11 10:57 aiaustin Note Added: 0017511
2010-12-11 10:58 aiaustin Note Edited: 0017511
2010-12-11 10:59 aiaustin Note Edited: 0017511
2010-12-11 11:00 aiaustin Note Edited: 0017511
2010-12-11 11:00 aiaustin Note Edited: 0017511
2010-12-11 11:01 ndsim Note Added: 0017512
2010-12-11 11:04 aiaustin Note Added: 0017513
2010-12-11 11:06 aiaustin Note Added: 0017514
2010-12-11 11:08 aiaustin Note Edited: 0017514
2010-12-11 11:11 aiaustin Note Added: 0017515
2010-12-11 11:13 ndsim Note Added: 0017516
2010-12-11 11:14 aiaustin Note Edited: 0017513
2010-12-11 11:15 aiaustin Note Edited: 0017515
2010-12-11 11:15 aiaustin Note Edited: 0017515
2010-12-11 11:19 ndsim Note Added: 0017517
2010-12-11 11:36 aiaustin Note Added: 0017518
2010-12-11 11:36 aiaustin Note Edited: 0017518
2010-12-11 11:36 aiaustin Note Added: 0017519
2010-12-11 11:36 aiaustin Note Edited: 0017518
2010-12-11 11:37 aiaustin Note Edited: 0017518
2010-12-11 11:38 aiaustin Note Edited: 0017518
2010-12-11 11:38 aiaustin Note Edited: 0017519
2010-12-11 11:38 ndsim Note Added: 0017520
2010-12-11 11:39 aiaustin Note Edited: 0017518
2010-12-11 11:39 ndsim Note Edited: 0017520
2010-12-11 11:40 aiaustin Note Added: 0017521
2010-12-11 11:41 aiaustin Note Edited: 0017521
2010-12-11 11:43 aiaustin Note Edited: 0017521
2010-12-11 11:47 aiaustin Note Added: 0017522
2010-12-11 11:50 aiaustin Note Edited: 0017522
2010-12-11 11:50 ndsim Note Added: 0017523
2010-12-11 11:51 ndsim Note Edited: 0017523
2010-12-11 11:52 aiaustin Note Added: 0017524
2010-12-11 11:53 aiaustin Note Edited: 0017524
2010-12-11 11:55 ndsim Note Added: 0017525
2010-12-11 11:56 aiaustin Note Edited: 0017524
2010-12-11 11:56 aiaustin Note Edited: 0017524
2010-12-11 11:59 aiaustin Note Edited: 0017524
2010-12-11 12:07 ndsim Note Added: 0017526
2010-12-11 13:34 aiaustin Note Edited: 0017524
2010-12-11 13:47 aiaustin Note Edited: 0017522
2010-12-11 14:11 Bruce Note Added: 0017527
2010-12-11 15:06 aiaustin Note Added: 0017528
2010-12-11 15:06 aiaustin Note Edited: 0017528
2010-12-11 15:07 aiaustin Note Edited: 0017528
2010-12-11 15:09 aiaustin Note Edited: 0017528
2010-12-11 15:10 aiaustin Note Edited: 0017528
2010-12-11 15:14 ndsim Note Added: 0017529
2010-12-11 15:34 aiaustin Note Added: 0017530
2010-12-11 15:38 Bruce Note Added: 0017531
2010-12-11 16:05 ndsim Note Added: 0017533
2010-12-11 16:29 Bruce Note Added: 0017534
2010-12-11 16:37 aiaustin Note Added: 0017535
2010-12-11 16:37 aiaustin Note Edited: 0017535
2010-12-11 16:38 aiaustin Note Edited: 0017535
2010-12-11 21:36 Diva Note Added: 0017536
2010-12-12 01:59 aiaustin Note Added: 0017537
2010-12-12 02:01 aiaustin File Added: hg-item-transfer-test-andsky-tshirt-creator-profile.jpg
2010-12-12 02:22 aiaustin Note Added: 0017538
2010-12-12 02:23 aiaustin Note Edited: 0017537
2010-12-12 02:25 aiaustin Note Edited: 0017537
2010-12-12 04:47 ndsim Note Added: 0017539
2010-12-12 05:06 ndsim Note Added: 0017540
2010-12-12 05:27 ndsim Note Added: 0017542
2010-12-12 08:00 aiaustin Note Added: 0017543
2010-12-12 08:15 aiaustin Note Edited: 0017543
2010-12-12 08:19 Diva Note Added: 0017545
2010-12-12 08:23 aiaustin Note Edited: 0017543
2010-12-12 08:25 aiaustin Note Edited: 0017543
2010-12-12 08:42 Diva Note Added: 0017546
2010-12-12 08:43 aiaustin Note Added: 0017547
2010-12-12 08:53 aiaustin Note Added: 0017548
2010-12-12 08:54 aiaustin Note Edited: 0017548
2010-12-12 08:56 Diva Note Added: 0017549
2010-12-12 08:58 aiaustin Note Added: 0017550
2010-12-12 08:59 aiaustin Note Edited: 0017550
2010-12-12 09:01 Diva Note Added: 0017551
2010-12-12 09:08 Diva Note Added: 0017552
2010-12-12 09:08 aiaustin Note Added: 0017553
2010-12-12 09:14 Diva Note Added: 0017554
2010-12-12 09:14 aiaustin Note Edited: 0017553
2010-12-12 09:27 aiaustin Note Added: 0017555
2010-12-12 09:28 aiaustin Note Edited: 0017555
2010-12-12 09:34 Diva Note Added: 0017556
2010-12-12 09:36 aiaustin Note Edited: 0017555
2010-12-12 09:37 aiaustin Note Added: 0017557
2010-12-12 10:26 ndsim Note Added: 0017559
2010-12-12 10:59 ndsim Note Added: 0017560
2010-12-12 11:05 Bruce Note Added: 0017561
2010-12-12 14:40 Bruce Note Edited: 0017561
2010-12-13 04:46 aiaustin Note Added: 0017579
2010-12-13 04:47 aiaustin Note Edited: 0017579
2010-12-13 04:55 aiaustin Note Added: 0017581
2010-12-13 07:11 ndsim Note Added: 0017583
2010-12-13 07:43 aiaustin Note Added: 0017585
2010-12-13 08:15 ndsim Note Added: 0017586
2010-12-15 03:24 aiaustin Note Added: 0017609
2010-12-15 03:27 aiaustin Note Edited: 0017609
2010-12-15 03:28 aiaustin Note Edited: 0017609
2010-12-15 05:50 aiaustin Note Added: 0017611
2010-12-15 05:56 aiaustin Note Added: 0017612
2010-12-15 07:21 aiaustin Note Added: 0017613
2010-12-15 07:21 aiaustin Note Edited: 0017613
2010-12-15 07:24 ndsim Note Added: 0017614
2010-12-15 09:51 coyled Note Added: 0017617
2010-12-15 10:27 aiaustin Note Added: 0017618
2010-12-15 10:27 aiaustin Note Edited: 0017612
2010-12-15 10:28 aiaustin Note Edited: 0017457
2010-12-15 10:36 aiaustin Note Added: 0017619
2010-12-15 10:39 aiaustin Note Edited: 0017619
2010-12-15 10:40 aiaustin Note Edited: 0017619
2010-12-29 01:21 MyanThor Note Added: 0017694
2010-12-29 04:43 MyanThor File Added: 0001-fixes-a-problem-with-ending-slashes-in-GatekeeperSer.patch
2010-12-29 04:45 MyanThor Note Added: 0017695
2010-12-29 04:45 MyanThor Status new => patch included
2010-12-29 06:05 Diva Note Added: 0017696
2011-01-06 20:37 Diva Note Added: 0017789
2011-02-02 01:59 aiaustin Note Added: 0017919
2011-02-03 04:29 Diva Note Added: 0017931
2011-02-03 05:09 aiaustin Note Added: 0017937
2015-08-17 11:55 aiaustin Note Added: 0029174
2015-08-17 11:55 aiaustin Status patch included => resolved
2015-08-17 11:55 aiaustin Fixed in Version => master (dev code)
2015-08-17 11:55 aiaustin Resolution open => fixed
2015-08-17 11:55 aiaustin Assigned To => aiaustin
2015-08-17 12:01 aiaustin Note Added: 0029177
2015-08-17 12:01 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker